: Class IndexedTriangleFanArray

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class IndexedTriangleFanArray

    java.lang.Object
      |
      +--javax.media.j3d.SceneGraphObject
            |
            +--javax.media.j3d.NodeComponent
                  |
                  +--javax.media.j3d.Geometry
                        |
                        +--javax.media.j3d.GeometryArray
                              |
                              +--javax.media.j3d.IndexedGeometryArray
                                    |
                                    +--javax.media.j3d.IndexedGeometryStripArray
                                          |
                                          +--javax.media.j3d.IndexedTriangleFanArray

public class IndexedTriangleFanArray
extends IndexedGeometryStripArray

The IndexedTriangleFanArray object draws an array of vertices as a set of connected triangle fans. An array of per-strip index counts specifies where the separate strips (fans) appear in the indexed vertex array. For every strip in the set, each vertex, beginning with the third vertex in the array, defines a triangle to be drawn using the current vertex, the previous vertex and the first vertex. This can be thought of as a collection of convex polygons.

Fields inherited from class javax.media.j3d.IndexedGeometryArray
`ALLOW_COLOR_INDEX_READ, ALLOW_COLOR_INDEX_WRITE, ALLOW_COORDINATE_INDEX_READ, ALLOW_COORDINATE_INDEX_WRITE, ALLOW_NORMAL_INDEX_READ, ALLOW_NORMAL_INDEX_WRITE, ALLOW_TEXCOORD_INDEX_READ, ALLOW_TEXCOORD_INDEX_WRITE`

Fields inherited from class javax.media.j3d.GeometryArray
`ALLOW_COLOR_READ, ALLOW_COLOR_WRITE, ALLOW_COORDINATE_READ, ALLOW_COORDINATE_WRITE, ALLOW_COUNT_READ, ALLOW_FORMAT_READ, ALLOW_NORMAL_READ, ALLOW_NORMAL_WRITE, ALLOW_TEXCOORD_READ, ALLOW_TEXCOORD_WRITE, COLOR_3, COLOR_4, COORDINATES, NORMALS, TEXTURE_COORDINATE_2, TEXTURE_COORDINATE_3`

Fields inherited from class javax.media.j3d.Geometry
`ALLOW_INTERSECT`

Constructor Summary
`IndexedTriangleFanArray(int vertexCount, int vertexFormat, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedTriangleFanArray object with the specified number of vertices, vertex format, number of indices, and array of per-strip index counts.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Creates a new IndexedTriangleFanArray object.
`void` | `duplicateNodeComponent(NodeComponent originalNodeComponent)` Copies the information found in `originalNodeComponent` to the current node.

Methods inherited from class javax.media.j3d.IndexedGeometryStripArray
`getNumStrips, getStripIndexCounts`

Methods inherited from class javax.media.j3d.IndexedGeometryArray
`getColorIndex, getColorIndices, getCoordinateIndex, getCoordinateIndices, getIndexCount, getNormalIndex, getNormalIndices, getTextureCoordinateIndex, getTextureCoordinateIndices, setColorIndex, setColorIndices, setCoordinateIndex, setCoordinateIndices, setNormalIndex, setNormalIndices, setTextureCoordinateIndex, setTextureCoordinateIndices`

Methods inherited from class javax.media.j3d.GeometryArray
`getColor, getColor, getColor, getColor, getColor, getColor, getColors, getColors, getColors, getColors, getColors, getColors, getCoordinate, getCoordinate, getCoordinate, getCoordinate, getCoordinates, getCoordinates, getCoordinates, getCoordinates, getNormal, getNormal, getNormals, getNormals, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getVertexCount, getVertexFormat, setColor, setColor, setColor, setColor, setColor, setColor, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setCoordinate, setCoordinate, setCoordinate, setCoordinate, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setNormal, setNormal, setNormals, setNormals, setNormals, setNormals, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates`

Methods inherited from class javax.media.j3d.NodeComponent
`getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, duplicateSceneGraphObject, getCapability, getUserData, isCompiled, isLive, setCapability, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedTriangleFanArray

    public IndexedTriangleFanArray(int vertexCount,
                                   int vertexFormat,
                                   int indexCount,
                                   int[] stripIndexCounts)

  Constructs an empty IndexedTriangleFanArray object with the specified number of vertices, vertex format, number of indices, and array of per-strip index counts.
  Parameters:
    `vertexCount` - the number of vertex elements in this object
    `vertexFormat` - a mask indicating which components are present in each vertex. This is specified as one or more individual flags that are bitwise "OR"ed together to describe the per-vertex data. The flags include: COORDINATES, to signal the inclusion of vertex positions--always present; NORMALS, to signal the inclusion of per vertex normals; one of COLOR_3, COLOR_4, to signal the inclusion of per vertex colors (without or with color information); and one of TEXTURE_COORDINATE_2 or TEXTURE_COORDINATE_3, to signal the inclusion of per-vertex texture coordinates 2D or 3D.
    `indexCount` - the number of indices in this object. This count is the number of vertices that will be rendered.
    `stripIndexCounts` - array that specifies the count of the number of indices for each separate strip. The length of this array is the number of separate strips.
  Throws:
    java.lang.IllegalArgumentException - if vertexCount is less than 1, or indexCount is less than 3, or the sum of all stripIndexCounts is not equal to indexCount

Method Detail

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Creates a new IndexedTriangleFanArray object. Called from a Leaf node's `duplicateNode` method.
  Overrides:
    cloneNodeComponent in class NodeComponent
  Returns:
    a duplicate of the IndexedTriangleFanArray object.
  See Also:
    `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `Node.cloneTree()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### duplicateNodeComponent

    public void duplicateNodeComponent(NodeComponent originalNodeComponent)

  Copies the information found in `originalNodeComponent` to the current node. This routine is called as part of the `cloneNodeComponent` operation.
  Overrides:
    duplicateNodeComponent in class NodeComponent
  Parameters:
    `originalNodeComponent` - the node to duplicate.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `NodeComponent.cloneNodeComponent()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD